Skip to content

Get Withdrawal Order Information

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/withdraw-orders/{order_no}
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/withdraw-orders/{order_no}

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
order_no
Required
StringOrder ID

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectWithdrawal order details (see data object details below)

data (object)

FieldTypeDescription
bidStringBusiness line ID
applicantStringOrder maker
order_noStringOrder ID
currencyStringAsset name
coin_nameStringToken name
feeIntegerWithdrawal service fee
amountIntegerWithdrawal amount
dest_wallet_codeStringDestination wallet ID
dest_addressStringDestination address
dest_tagStringDestination address's tag or memo
statusStringWithdrawal order status
Allowed values: PROCESSING (processing), COMPLETE (complete), FAILED (failed)
descriptionStringOrder description
create_time_stampLongOrder creation time
tx_infosObject[]Transaction information (see tx_infos object details below)

tx_infos (object)

FieldTypeDescription
tx_hashStringTransaction hash

Response Example

{
  "code": 0,
  "data": {
    "bid": "string",
    "applicant": "string",
    "order_no": "string",
    "currency": "string",
    "coin_name": "string",
    "fee": 100000000,
    "amount": 200000000,
    "dest_wallet_code": "string",
    "dest_address": "string",
    "dest_tag": "string",
    "description": "string",
    "status": "string",
    "create_time_stamp": 1663130578000,
    "tx_hash": [
      {
        "tx_hash": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
      }
    ]
  },
  "message": "",
  "successful": true
}